Bug 195345 - device-mapper goes crazy after a cmirror relocation
device-mapper goes crazy after a cmirror relocation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks: 180185
  Show dependency treegraph
 
Reported: 2006-06-14 17:04 EDT by Corey Marthaler
Modified: 2010-04-27 10:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:54:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-06-14 17:04:47 EDT
Description of problem:
I realize that we are about to get a new build which will hopefully fix a lot of
issues with cmirrors, but I figured this issue should still be documented and
checked out once we get that fix. 

I was attempting to verify the fix for bz 193596, by doing a mirror server
relocaion during a mirror creation, and that caused device-mapper to spit out
thousands and thousands of the following messages on one of the cluster nodes
along with causing the lvcreate cmd to hang.

Jun 14 09:58:02 taft-02 kernel: device-mapper: Unable to convert
nodeid_to_ipaddr in _consult_server
Jun 14 09:58:02 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 51357152 of 51358401 (17%)
Jun 14 09:58:02 taft-02 kernel: device-mapper: No address list for nodeid 0


Version-Release number of selected component (if applicable):
[root@taft-02 ~]# rpm -q cmirror
cmirror-1.0.0-5
[root@taft-02 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-5.4
Comment 2 Jonathan Earl Brassow 2006-07-05 23:45:42 EDT
I've changed these to be 'debug' prints.  Depending on what your logging level is set at, you may still 
see these.  Besides just the prints, I've worked to compensate for when these messages happen... so 
you shouldn't get that many of them.

This message could be removed if we wanted, but obviously, a hang would be bad.
Comment 3 Corey Marthaler 2006-07-07 14:47:38 EDT
fix verified.
Comment 5 Alasdair Kergon 2010-04-27 10:54:39 EDT
Assuming this VERIFIED fix got released.  Closing.
Reopen if it's not yet resolved.

Note You need to log in before you can comment on or make changes to this bug.